/*
 *      Copyright (C) 2010-2013 Team XBMC
 *      http://xbmc.org
 *
 *  This Program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This Program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with XBMC; see the file COPYING.  If not, see
 *  <http://www.gnu.org/licenses/>.
 *
 */

precision highp float;
uniform sampler2D m_samp0;
uniform sampler2D m_samp1;
varying vec4      m_cord0;
varying vec4      m_cord1;
varying lowp vec4 m_colour;
uniform int       m_method;
uniform int       m_field;
uniform float     m_step;

uniform float     m_brightness;
uniform float     m_contrast;

void main ()
{
  vec2 source;
  source = m_cord0.xy;
  
  vec2 below;
  vec2 above;

  below.x = source.x;
  below.y = source.y + m_step;
  above.x = source.x;
  above.y = source.y - m_step;

  vec4 color = texture2D(m_samp0, above) * 0.3 +
               texture2D(m_samp0, source) * 0.4 +
               texture2D(m_samp0, below) * 0.3;
  color = color * m_contrast;
  color = color + m_brightness;

  gl_FragColor.rgba = color;
}
